package com.example.elva.data.api

import com.example.elva.data.models.profile.ProfileUpdateRequest
import com.example.elva.data.models.profile.UserProfile
import retrofit2.http.*

interface ProfileApiService {

    @GET("api/v1/profile")
    suspend fun getProfile(): UserProfile

    @PUT("api/v1/profile")
    suspend fun updateProfile(@Body request: ProfileUpdateRequest): UserProfile
}

